#!/usr/bin/rpm
# -*- mode: rpm-spec -*- 
# $Id: dcsc.spec.in,v 1.3 2007/12/01 11:11:35 hehi Exp $
%define  sovers                                 1
%define _unpackaged_files_terminate_build       0
%define debug_package 	  %{nil}
%define __find_provides   %{nil}
%define conf_args	  %{nil}
%define rel_post 	  %{nil}
%define need_arm          0

%define is_variant	  0
%if %{?variant:1} %{!?variant:0}
%define rel_post          _%{variant}
%define is_variant 	  1
%if %{variant} == "arm" 
%define _prefix           /home/dcs
%define conf_args 	  --host=arm-linux CC=arm-linux-gcc CXX=arm-linux-g++ CPPFLAGS=-I%{_prefix}/include LDFLAGS=-L%{_prefix}/lib --prefix=%{_prefix}
%define need_arm           1
%else 
%define conf_args	  --prefix=%{_prefix} --sysconfdir=/etc
%endif
%endif 

#_____________________________________________________________________
Summary: 	DCS message buffer interface 
Name: 		dcsc1
Version: 	0.5
Release: 	2%{rel_post}
License: 	GNU General Public License
Group: 		System/Servers
URL: 		http://www.ift.uib.no/~kjeks/download
Source0: 	dcsc-0.5.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{need_arm}

BuildArch:	noarch
%endif
AutoReq:	0
%if %{need_arm}
BuildRequires:  arm-uclibc-toolchain
Provides:	dcsc-interface(0.5)
%endif

%description
This package contains the message buffer interface for the DCS cards.

%files -n %{name}
%defattr(-,root,root)
%{_prefix}/lib/libdcsc.so.*



#_____________________________________________________________________
%package -n dcsc-devel
Summary:	Development package for Dcsc
Group:		Development/System
Requires:	%{name} = 0.5-%{release}
%if %{need_arm}
BuildArch:	noarch
Provides:	dcsc-devel(arm)
Provides:	dcsc-interface-devel(0.5)
BuildRequires:	arm-uclibc-toolchain
%endif
%description -n dcsc-devel
Development headers and libraries for Dcsc

%files -n dcsc-devel
%defattr(-,root,root,-)
%{_prefix}/lib/libdcsc.so
%{_prefix}/lib/libdcsc.a
%{_prefix}/lib/libdcsc.la
%{_prefix}/lib/pkgconfig/libdcsc.pc
%{_prefix}/bin/dcsc-config
%{_prefix}/share/man/man1/dcsc-config.1
%{_prefix}/share/aclocal/dcsc.m4
%{_prefix}/share/doc/dcsc
%{_prefix}/include/dcsc

#_____________________________________________________________________
%prep
%setup -q -n dcsc-0.5
./configure %{conf_args}  --mandir=%{_prefix}/share/man

%build
make 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
export STRIP=/bin/true
export OBJDUMP=/bin/true

%clean
# rm -rf $RPM_BUILD_ROOT
# make distclean > /dev/null 2>&1 

#_____________________________________________________________________
%changelog
* Fri Jul 13 2007 Christian Holm Christensen <cholm@nbi.dk>
- Some minor fixes

* Fri Jun  13 2007 Matthias Richter <Matthias.Richter@ift.uib.no> 
- added to project, 
- few generalizations.

* Sat Apr  7 2007 Christan Holm Christensen <cholm@nbi.dk> 
- Initial build.

